package se.koc.trader.exchange.binance;

import se.koc.trader.api.ExchangeConfig;
import se.koc.trader.api.ExchangeMarket;
import se.koc.trader.api.ExchangeWallet;
import zutil.ui.conf.Configurator;

public class BinanceExchange extends ExchangeConfig {

    @Configurator.Configurable("Binance API Key")
    private String apiKey;

    transient private BinanceMarket market;


    public String getApiKey() {
        return apiKey;
    }

    public void setApiKey(String apiKey) {
        this.apiKey = apiKey;
    }


    @Override
    public ExchangeMarket getExchangeMarket() {
        if (market == null)
            market = new BinanceMarket();
        return market;
    }

    @Override
    public ExchangeWallet getExchangeOrder() {
        return null;
    }
}
